Ask Your Question
0

Installing ROS fuerte on Fedora 17

asked 2013-01-22 00:23:47 -0500

jplata gravatar image

updated 2013-01-22 01:45:42 -0500

KruseT gravatar image

Hello,

I am installing ROS fuerte in fedora 17 following the installation guide at http://www.ros.org/wiki/fuerte/Installation/Fedora

I have no problem until step 1.4, when I run rosdep install -a I get the following errors:

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies: roslaunch: No definition of [python-yaml] for OS version [17]

python_qt_binding: No definition of [ros] for OS [fedora]

simmechanics_to_urdf: No definition of [python-yaml] for OS version [17]

rviz: No definition of [ros] for OS [fedora] rosparam: No definition of [python-yaml] for OS version [17] librviz_tutorial: No definition of [ros] for OS [fedora] rviz_plugin_tutorials: No definition of [ros] for OS [fedora]

I have also add the yaml file on ticket #3929 with no luck.

System information: Fedora 17 64bits

Thank you very much. Regards!

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
0

answered 2013-03-05 07:30:55 -0500

tfoote gravatar image

Fedora support is experimental. You will probably need to [contribute definitions[(http://ros.org/doc/independent/api/rosdep/html/contributing_rules.html) before rosdep will work for your packages.

edit flag offensive delete link more
1

answered 2013-01-22 01:56:01 -0500

KruseT gravatar image

Not using Fedora, so I am guessing blindly.

Make sure you have the latest version of rosdep installed (I think that's 0.10.12) and run

rosdep update

Hopefully that solves the error with python-yaml.

Then call:

rosdep install -ai

hopefully that resolves problem with "No definition of [ros]"

edit flag offensive delete link more
0

answered 2013-01-22 02:19:05 -0500

jplata gravatar image

Thank you very much for your answer, but unfortunately the problem persists.

My rosdep version is 0.10.08 because this is the last version with old xml packages support (files stack.xml and manifest.xml). If I install the last version of rosdep (0.10.12) I get the problem file packages.xml not found. That last version of rosdep is for groovy. Completed info in REP 127 on ros.org/reps

I am installing fuerte because it is the last version with fedora installation guide, should I try installing groovy version instead? Which steps should I follow?

Thank you very much.

edit flag offensive delete link more

Comments

1

Do not use answers to your question to discuss answers, rather comment on my answer (or change your question (even if you have to re-remove the link)). I guess fuerte is best for you with the installation guide, I am sure another fedora user can help you.

KruseT gravatar image KruseT  ( 2013-01-22 02:35:52 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-01-22 00:23:47 -0500

Seen: 84 times

Last updated: Mar 05 '13